Bug 391481 - gnome-vfs's magic-based file identification doesn't work at all
gnome-vfs's magic-based file identification doesn't work at all
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-20 00:16 EST by Nicholas Miell
Modified: 2015-03-03 17:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:16:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2007-11-20 00:16:47 EST
Description of problem:
After upgrading to F8, I discovered that I couldn't open Revelation files from

Revelation's MIME info (located at /usr/share/mime/packages/revelation.xml) only
specifies magic patterns with no file name globs.

Other packages which match their files using both globs and magic still seem to
work by virtue of having the globs (assuming the file is named correctly), but
if you rename them, gnomevfs-info can't identify them (e.g. rename an RPM to
something that doesn't end in RPM and gnomevfs-info says it's
application/octet-stream instead of application/x-rpm)

Thunar identifies the files correctly in all cases, which suggests the problem
is in gnome-vfs2 and not the MIME database.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. gnomevfs-info foo.rpm | grep MIME
2. mv foo.rpm foo
3. gnomevfs-info foo | grep MIME

Happens on both x86 and AMD64.
Comment 1 Bug Zapper 2008-11-26 03:35:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2009-01-09 00:16:55 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.